Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle
Interface ExecutionListener

    public interface ExecutionListener

This provides runtime information when executing a build. This is a culmination of other gradle listeners to provide common functionality that a tool using Gradle would commonly need access to. In additional to being informated of when tasks are completed, this also provides easy access to gradle's output.

Method Summary
`void` | `reportExecutionFinished(boolean wasSuccessful, BuildResult buildResult, java.lang.String output)` Notification that execution of all tasks has completed.
`void` | `reportExecutionStarted()` Notification that overall execution has been started.
`void` | `reportLiveOutput(java.lang.String output)` Report real-time output from gradle and its subsystems (such as ant).
`void` | `reportTaskComplete(java.lang.String currentTaskName, float percentComplete)`
`void` | `reportTaskStarted(java.lang.String currentTaskName, float percentComplete)` Notification that a single task has completed.

Method Detail

### reportExecutionStarted

    void reportExecutionStarted()

  Notification that overall execution has been started. This is only called once at the end.

### reportTaskStarted

    void reportTaskStarted(java.lang.String currentTaskName,
                           float percentComplete)

  Notification that a single task has completed. Note: the task you kicked off probably executes other tasks and this notifies you of those tasks and provides completion progress.

  Parameters:
    `currentTaskName` - the task being executed
    `percentComplete` - the percent complete of all the tasks that make up the task you requested.

### reportTaskComplete

    void reportTaskComplete(java.lang.String currentTaskName,
                            float percentComplete)

### reportLiveOutput

    void reportLiveOutput(java.lang.String output)

  Report real-time output from gradle and its subsystems (such as ant).

  Parameters:
    `output` - a single line of text to show.

### reportExecutionFinished

    void reportExecutionFinished(boolean wasSuccessful,
                                 BuildResult buildResult,
                                 java.lang.String output)

  Notification that execution of all tasks has completed. This is only called once at the end.

  Parameters:
    `wasSuccessful` - whether or not gradle encountered errors.
    `buildResult` - contains more detailed information about the result of a build.
    `output` - the text that gradle produced. May contain error information, but is usually just status.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD